Subject: bug#4238: reverse-video doesn't swap xterm foreground/background colors

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Aug 2009 02:37:38 +0300

In Emacs 22 the command line argument `-rv'/`--reverse-video' used to swap
xterm foreground/background colors.  But now in Emacs 23 I noticed that it
doesn't swap xterm foreground/background colors anymore (but it still
swaps the frame background mode correctly) with:

  emacs-22 -q -nw -rv

vs

  emacs-23.1.50 -q -nw -rv

where emacs-23.1.50 is GNU Emacs 23.1.50 (x86_64-pc-linux-gnu) of 2009-08-22

-- 
Juri Linkov
http://www.jurta.org/emacs/